# sc::StateOutBin Class Reference

Save state to a binary file. More...

`#include <state_bin.h>`

Inheritance diagram for sc::StateOutBin:

List of all members.

## Public Member Functions

| StateOutBin (std::ostream &)
| StateOutBin (const char *)
int | open (const char *name)
| State information will be written to name.
void | close ()
| Close the output stream.
int | use_directory ()
| Returns true if this object uses a directory.
int | tell ()
| Returns the current position in the file.
void | seek (int loc)
| Set the current position in the file.
int | seekable ()
| Return non-zero if tell and seek do anything sensible.

## Detailed Description

Save state to a binary file.

## Member Function Documentation

int sc::StateOutBin::tell | ( |  | ) | `[virtual]`

Returns the current position in the file.

The default implementation returns 0.

Reimplemented from sc::StateOut.

void sc::StateOutBin::seek | ( | int | loc | ) | `[virtual]`

Set the current position in the file.

The default implementation does nothing.

Reimplemented from sc::StateOut.

int sc::StateOutBin::seekable | ( |  | ) | `[virtual]`

Return non-zero if tell and seek do anything sensible.

The default implementation returns 0.

Reimplemented from sc::StateOut.

The documentation for this class was generated from the following file:

- state_bin.h